<?php
  include ('funkcje_ksiazka_kz.php');
  // koszyk na zakupy potrzebuje sesji, zostaje więc ona rozpoczęta
  session_start();

  $idkat = $_GET['idkat'];
  $nazwa = pobierz_nazwe_kategorii($idkat);

  tworz_naglowek_html($nazwa);

  // pobranie informacji o książkach z bazy danych
  $tablica_ksiazek = pobierz_ksiazki($idkat);

  wyswietl_ksiazki($tablica_ksiazek);


  // jeżeli zalogowany jako administrator, przedstawienie łącz
  // do dodawania i usuwania książek
  if(isset($_SESSION['uzyt_admin']))
  {
    wyswietl_przycisk("indeks.php", "kontynuacja", "Kontynuacja zakupów");
    wyswietl_przycisk("admin.php", "menu-admin", "Menu Administratora");
    wyswietl_przycisk("edycja_kat_form.php?idkat=".urlencode($idkat),
     "edycja-kategorii", "Edycja kategorii");
  } else {
    wyswietl_przycisk("indeks.php", "kontynuacja", "Kontynuacja zakupów");
  }

  tworz_stopke_html();
?>